Bug 595504 - antlr: non-functional, missing deps?
antlr: non-functional, missing deps?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: antlr (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 16:21 EDT by Rex Dieter
Modified: 2011-02-18 20:24 EST (History)
1 user (show)

See Also:
Fixed In Version: antlr-2.7.7-14.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 09:43:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file triggering error (2.79 KB, text/plain)
2010-05-24 16:21 EDT, Rex Dieter
no flags Details

  None (edit)
Description Rex Dieter 2010-05-24 16:21:08 EDT
Created attachment 416219 [details]
file triggering error

Using antlr to build kdesdk fails in rawhide (f13 seems ok).

cd /builddir/build/BUILD/kdesdk-4.4.80/poxml && /usr/bin/antlr -o /builddir/build/BUILD/kdesdk-4.4.80/i686-redhat-linux-gnu/poxml gettext.g
Can't find functions library, aborting


Will attach gettext.g
Comment 1 Rex Dieter 2010-05-24 16:25:13 EDT
oh, just a missing dep on jpackage-utils ?

from /usr/bin/antlr:

# Source functions library
if [ -f /usr/share/java-utils/java-functions ] ; then
  . /usr/share/java-utils/java-functions
else
  echo "Can't find functions library, aborting"
  exit 1
fi
Comment 2 Rex Dieter 2010-05-24 16:39:14 EDT
ok, adding jpackage-utils , now I get:

cd /builddir/build/BUILD/kdesdk-4.4.80/poxml && /usr/bin/antlr -o /builddir/build/BUILD/kdesdk-4.4.80/x86_64-redhat-linux-gnu/poxml gettext.g
[ 38%] Can't find java virtual machine, aborting.
Comment 3 Milos Jakubicek 2010-05-25 03:24:18 EDT
Yep, sorry for that (recently there have been lot of changes). I'm now quite in hurry, will fix this on next Tuesday (in one week) -- if it would be too late for you, feel free to modify the package by your own of course.

Thanks for reporting...
Comment 4 Bug Zapper 2010-07-30 07:42:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Rex Dieter 2010-11-22 09:43:57 EST
Seems fixed now.
Comment 6 Rex Dieter 2010-11-23 09:26:16 EST
nevermind, it was still broke fixed now,

%changelog
* Tue Nov 23 2010 Rex Dieter <rdieter@fedoraproject.org> - 0:2.7.7-11
- -tool: +Requires: java jpackage-utils (#595504)
Comment 7 Fedora Update System 2011-02-07 05:31:10 EST
antlr-2.7.7-13.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/antlr-2.7.7-13.fc14
Comment 8 Fedora Update System 2011-02-07 07:55:39 EST
antlr-2.7.7-14.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/antlr-2.7.7-14.fc14
Comment 9 Fedora Update System 2011-02-07 07:55:49 EST
antlr-2.7.7-14.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/antlr-2.7.7-14.fc14
Comment 10 Fedora Update System 2011-02-18 20:24:24 EST
antlr-2.7.7-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.